#include <stdio.h>
#include "vio.h"

main(int argc, char **argv)
{
	int rc;
	int fdout;
	char *buf;

	if (argc != 3) {	
		fprintf(stderr, "%s: incorrect argument count\n", *argv);
		fprintf(stderr, "usage: %s nadf-file-name native-file-name\n", argv[0]);
		exit(1);
	}
	if ((fdout = creat_NADF(argv[1])) < 0) {		
		fprintf(stderr, "%s: cannot create: %s: %d\n", 
			*argv, argv[1], fdout);
		exit(1);
	}
	if ((rc = vopen(argc - 2, argv + 2)) != 0) {
		fprintf(stderr, "%s: cannot open virtual stream %s\n", *argv);
		exit(1);
	}
 	while ((rc = vread(&buf)) == OK) {
		if ((rc = write_NADF(fdout, buf, 1)) != 0) {	
			fprintf(stderr, "%s: cannot write: %d\n", *argv,  rc);
			exit(1);
		}
	}
	if (rc != VEOF) {
		fprintf(stderr, "%s: cannot read virtual stream: %d\n",
				 *argv, rc);
		exit(1);
	}
	if ((rc = close_NADF(fdout)) != 0) {
		fprintf(stderr, "%s: cannot close nadf file %s\n",
			*argv, argv[2]);
		exit(1);
	}
	if ((rc = vclose()) != OK) { 
		fprintf(stderr, "%s: cannot close virtual stream\n", *argv);
		exit(1);
	}
}
